=== debian/changelog ===
qtmobility (1.2.0-3ubuntu5) raring; urgency=low

  * Add depends on pulseaudio for qtmultimediakit1, required for operation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 19 Mar 2013 14:29:00 +0000

qtmobility (1.2.0-3ubuntu4b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:07:49 +0000

qtmobility (1.2.0-3ubuntu4) quantal; urgency=low

  * Update symbols files on all archs using pkgkde-symbolshelper

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Aug 2012 13:46:31 -0400

qtmobility (1.2.0-3ubuntu3) quantal; urgency=low

  * Fix libqtorganizer1.symbols and libqtcontacts1.symbols for arm* to fix
    FTBFS on those archs

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Aug 2012 11:10:23 -0400

qtmobility (1.2.0-3ubuntu2) quantal; urgency=low

  * Use multiarch library paths for libdeclarative-* now that the qt4-x11
    in Ubuntu supports multiarch QML import directories. (LP: #897547)
    - Bump libqt4-dev build-dep to 4:4.8.2-0ubuntu1, can be dropped next
      merge.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 29 May 2012 17:21:43 -0400

qtmobility (1.2.0-3ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
   - Remove libqtmessaging1 from debian/control and -dbg depends
   - Add .symbols files
   - Remove qmf-dev build-dependency, upstream recommended to build without QMF,
     disable libqtmessaging1 and libdeclarative-messaging packages
   - Remove usr/include/QtMessaging/ from qtmobility-dev
   - Remove libdeclarative-messaging from debian/control
   - Use non-multiarch locations for libs using QML's importsdir. The rest of
     the libraries are multiarch, but pending on changes from qt4-x11 the
     libdeclarative-* ones aren't yet. Can be dropped when qt4-x11 4:4.8.1-1
     is merged.
   - Fixes (LP: #826874, #935398)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 21 May 2012 23:40:21 -0400

qtmobility (1.2.0-3) unstable; urgency=low

  * Upload to Sid.
  * Update debian/control:
    - bump Qt build dependency to 4:4.8.1.
    - bump Standards-Version to 3.9.3 (no changes needed).
  * Update imports paths.
  * Add gcc-4.7_unistd.patch - fix ftbfs with GCC 4.7. (Closes: #667344)

 -- Fathi Boudra <fabo@debian.org>  Tue, 01 May 2012 21:44:58 +0300

qtmobility (1.2.0-1ubuntu2) precise; urgency=low

  * Adjust symbols files for more qreal subst magic for armel/armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 08 Dec 2011 09:31:13 -0700

qtmobility (1.2.0-1ubuntu1) precise; urgency=low

  * Merge with Debian, remaining changes:
   - Remove libqtmessaging1 from debian/control and -dbg depends
   - Add .symbols files
   - Remove qmf-dev build-dependency, upstream recommended to build without QMF,
     disable libqtmessaging1 and libdeclarative-messaging packages
   - Remove usr/include/QtMessaging/ from qtmobility-dev
   - Remove libdeclarative-messaging from debian/control

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Dec 2011 19:44:11 +0000

qtmobility (1.2.0-2) experimental; urgency=low

  [ Pino Toscano ]
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any

  [ Fathi Boudra ]
  * Convert the package to multiarch:
    - bump debian/compat to 9.
    - bump build dependency on debhelper >= 8.1.3~.
    - bump build dependency on libqt4-dev and libqt4-opengl-dev >= 4:4.8.0~.
    - add Multi-Arch: same and Pre-Depends: ${misc:Pre-Depends} fields to
      shared libraries packages.
    - update installed files to multiarch paths.
    - add support for DEB_HOST_MULTIARCH, needed for libdir and plugindir.
  * Update debian/control: build depends on gdb >= 7.3 for gdb_dwarf_index.
  * Add a set of patches, cherry-picked upstream, to fix build with Qt 4.8:
    - QTMOBILITY-790_subdirs_for_serviceframework-b90cee3.patch
    - Fix_metaobjectbuilder_build_errors_4.8_and_4.7-f102053.patch
    - Fix_4.8_and_4.7_build_for_linux-eff4af5.patch
    - Fix_4.8_4.7_linux_build-f9c87a7.patch

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 23 Sep 2011 09:29:49 +0300

qtmobility (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Drop revert_QTMOBILITY-614.patch.
  * Restore icheck and conflicts against icheck package.
  * Update debian/qtmobility-dev.install: add ndefhandlergen and update
    headers.

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 14:49:12 +0300

qtmobility (1.2.0~beta0+git3174-2) unstable; urgency=high

  * Do not ship /usr/bin/icheck for now. (Closes: #617725)
  * Urgency=high, transition stuff.

 -- Modestas Vainius <modax@debian.org>  Thu, 24 Mar 2011 15:36:18 +0200

qtmobility (1.2.0~beta0+git3174-1) unstable; urgency=low

  * New upstream snapshot based on master branch - Upload to Sid.
  * Remove patches:
    - ftbfs_multimedia_examples.patch - fixed upstream.
    - enable_pkgconfig_support.patch - fixed upstream.
    - qmf_2010w36_support.patch - merged upstream.
  * Add patches:
    - revert_QTMOBILITY-614.patch: revert commit 0fd9fc9 - It breaks 3rd party
      applications build.
  * Update debian/control:
    - add libblkid-dev and libudev-dev build dependencies.
    - move hal dependency to suggests.
    - add libdeclarative-connectivity, libdeclarative-feedback,
      libdeclarative-organizer and libqtconnectivity1 packages.
  * Update debian/rules:
    - add connectivity to the list of modules.
    - add -languages configure option.
    - remove pkgconfig fix - pkgconfig files aren't shipped undet Linux.
    - fix executable permissions files.
    - fix typo libs -> lib.
  * Update debian/*.install files.

 -- Fathi Boudra <fabo@debian.org>  Sun, 06 Mar 2011 14:15:40 +0200
