=== debian/control ===
Source: qtmobility
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               gdb (>= 7.3),
               libasound2-dev [linux-any],
               libblkid-dev,
               libbluetooth-dev [linux-any],
               libgstreamer-plugins-base0.10-dev,
               libpulse-dev,
               libqt4-dev (>= 4:4.8.2-0ubuntu1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libudev-dev [linux-any],
               libx11-dev,
               libxext-dev,
               libxrandr-dev,
               libxv-dev,
               network-manager-dev [linux-any],
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.3
Section: libs
Homepage: http://labs.trolltech.com/page/Projects/QtMobility
Vcs-Git: git://git.debian.org/pkg-kde/qt/qtmobility.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtmobility.git;a=summary

Package: qtmobility-dev
Section: libdevel
Architecture: any
Depends: libqtconnectivity1 (= ${binary:Version}),
         libqtcontacts1 (= ${binary:Version}),
         libqtfeedback1 (= ${binary:Version}),
         libqtgallery1 (= ${binary:Version}),
         libqtlocation1 (= ${binary:Version}),
         libqtmultimediakit1 (= ${binary:Version}),
         libqtorganizer1 (= ${binary:Version}),
         libqtpublishsubscribe1 (= ${binary:Version}),
         libqtsensors1 (= ${binary:Version}),
         libqtserviceframework1 (= ${binary:Version}),
         libqtsysteminfo1 (= ${binary:Version}),
         libqtversit1 (= ${binary:Version}),
         libqtversitorganizer1 (= ${binary:Version}),
         servicefw,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: icheck
Description: APIs for mobile device functionality - development files
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Mobility libraries.

Package: libqtconnectivity1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Connectivity module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Connectivity API. It provides APIs for working with
 local devices.

Package: libqtcontacts1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Contacts module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API enabling clients to request contact data from
 local or remote backends.

Package: libqtfeedback1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Feedback module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Feedback API. It enables a client to control
 the vibration of the device or the piezo feedback from the screen.

Package: libqtgallery1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Document Gallery module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API for accessing collections of documents and media
 and their meta-data.

Package: libqtlocation1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Location module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Location API. It provides a library for distributing
 and receiving location data using arbitrary data sources.

#Package: libqtmessaging1
#Architecture: any
#Multi-Arch: same
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Suggests: qtmobility-l10n
#Description: Qt Mobility Messaging module
# Qt Mobility delivers a set of new APIs for mobile device functionality.
# .
# This package contains the Messaging API. It is a common interface for handling
# SMS, MMS, MIME Email and TNEF Email messages.

Package: libqtmultimediakit1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, pulseaudio
Suggests: qtmobility-l10n
Description: Qt Mobility MultimediaKit module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: libqtorganizer1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Organizer module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API for management of calendar, scheduling and
 personal data from local or remote backends. It includes the ability to create,
 edit, list, delete and lookup organizer information whether it is stored
 locally or remotely.

Package: libqtpublishsubscribe1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Publish and Subscribe module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Publish and Subscribe API (containing Value Space).
 It enables applications to read item values, navigate through and subscribe to
 change notifications.

Package: libqtsensors1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Sensors module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Sensors API. It provides access to sensors.

Package: libqtserviceframework1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hal, qtmobility-l10n
Description: Qt Mobility Service Framework module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to that allows clients to discover and
 instantiate arbitrary services.

Package: libqtsysteminfo1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility System Information module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to discover system related information and
 capabilities.

Package: libqtversit1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Versit (vCard) module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API to manage Versit documents, such as vCards.

Package: libqtversitorganizer1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Versit (Organizer) module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API to manage Versit documents, such as iCalendar
 documents. It interfaces the Organizer API and uses the same framework as for
 vCards.

Package: libdeclarative-connectivity
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Connectivity QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Connectivity QML plugin for QtDeclarative.

Package: libdeclarative-contacts
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Contacts QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Contacts QML plugin for QtDeclarative.

Package: libdeclarative-feedback
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Feedback QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Feedback QML plugin for QtDeclarative.

Package: libdeclarative-gallery
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Document Gallery QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Document Gallery QML plugin for QtDeclarative.

Package: libdeclarative-location
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Location QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Location QML plugin for QtDeclarative.

#Package: libdeclarative-messaging
#Architecture: any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Description: Qt Mobility Messaging QML plugin
# Qt Mobility delivers a set of new APIs for mobile device functionality.
# .
# This package contains the Messaging QML plugin for QtDeclarative.

Package: libdeclarative-multimedia
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Multimedia QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Multimedia QML plugin for QtDeclarative.

Package: libdeclarative-organizer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Organizer QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Organizer QML plugin for QtDeclarative.

Package: libdeclarative-publishsubscribe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Publish and Subscribe QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Publish and Subscribe QML plugin for QtDeclarative.

Package: libdeclarative-sensors
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Sensors QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Sensors QML plugin for QtDeclarative.

Package: libdeclarative-serviceframework
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Service Framework QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Service Framework QML plugin for QtDeclarative.

Package: libdeclarative-systeminfo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility System Information QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the System Information QML plugin for QtDeclarative.

Package: servicefw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: qtmobility-dev (<< 1.0.2-2)
Description: Qt Mobility Service Framework tool
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Service Framework tool (servicefw). It allows
 to register services and make them available over the Service Framework.

Package: qtmobility-examples
Architecture: any
Section: x11
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility examples
