## qtmobility 1.2.2-1ubuntu1newyork7

=== debian/changelog ===
qtmobility (1.2.2-1ubuntu1newyork7) precise; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed changelog release name; 

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Wed, 20 Jun 2012 22:37:26 +0000

qtmobility (1.2.2-1ubuntu1newyork6) quantal; urgency=low

  * Fixed symbols list for armel packages; 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 20 Jun 2012 08:30:54 -0700

qtmobility (1.2.2-1ubuntu1newyork5) precise; urgency=low

  * Fixed debian package.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 19 Jun 2012 13:41:18 -0700

qtmobility (1.2.2-1ubuntu1newyork4) precise; urgency=low

  * Added phonon in the build dep. 

 -- Renato Araujo Oliviera Filho <renato.filho@canonical.com>  Tue, 19 Jun 2012 00:33:19 -0700

qtmobility (1.2.2-1ubuntu1newyork3) precise; urgency=low

  * Fixed package. 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 18 Jun 2012 16:38:11 -0700

qtmobility (1.2.2-1ubuntu1newyork1) precise; urgency=low

  * Release 1.2.2 import from git.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Fri, 15 Jun 2012 14:11:14 -0700
