=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
-               gdb (>= 7.3),
-               libasound2-dev [linux-any],
+Build-Depends: debhelper (>= 7.4.15),
+               libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
                libblkid-dev,
-               libbluetooth-dev [linux-any],
+               libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
                libgstreamer-plugins-base0.10-dev,
                libpulse-dev,
-               libqt4-dev (>= 4:4.8.2-0ubuntu1),
-               libqt4-opengl-dev (>= 4:4.8.1),
-               libudev-dev [linux-any],
+               libqt4-dev (>= 4:4.7.0~rc1),
+               libqt4-opengl-dev (>= 4:4.7.0~rc1),
+               libudev-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
                libx11-dev,
                libxext-dev,
                libxrandr-dev,
                libxv-dev,
-               network-manager-dev [linux-any],
-               pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.3
+               network-manager-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
+               pkg-kde-tools (>= 0.6.4),
+               libphonon-dev
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://labs.trolltech.com/page/Projects/QtMobility
 Vcs-Git: git://git.debian.org/pkg-kde/qt/qtmobility.git
@@ -53,8 +53,6 @@
 
 Package: libqtconnectivity1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Connectivity module
@@ -65,8 +63,6 @@
 
 Package: libqtcontacts1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Contacts module
@@ -77,8 +73,6 @@
 
 Package: libqtfeedback1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Feedback module
@@ -89,8 +83,6 @@
 
 Package: libqtgallery1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Document Gallery module
@@ -101,8 +93,6 @@
 
 Package: libqtlocation1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Location module
@@ -113,8 +103,6 @@
 
 #Package: libqtmessaging1
 #Architecture: any
-#Multi-Arch: same
-#Pre-Depends: ${misc:Pre-Depends}
 #Depends: ${misc:Depends}, ${shlibs:Depends}
 #Suggests: qtmobility-l10n
 #Description: Qt Mobility Messaging module
@@ -125,9 +113,7 @@
 
 Package: libqtmultimediakit1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, pulseaudio
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility MultimediaKit module
  Qt Mobility delivers a set of new APIs for mobile device functionality.
@@ -137,8 +123,6 @@
 
 Package: libqtorganizer1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Organizer module
@@ -151,8 +135,6 @@
 
 Package: libqtpublishsubscribe1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Publish and Subscribe module
@@ -164,8 +146,6 @@
 
 Package: libqtsensors1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Sensors module
@@ -175,8 +155,6 @@
 
 Package: libqtserviceframework1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: hal, qtmobility-l10n
 Description: Qt Mobility Service Framework module
@@ -187,8 +165,6 @@
 
 Package: libqtsysteminfo1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility System Information module
@@ -199,8 +175,6 @@
 
 Package: libqtversit1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Versit (vCard) module
@@ -210,8 +184,6 @@
 
 Package: libqtversitorganizer1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Versit (Organizer) module
@@ -332,3 +304,22 @@
 Section: x11
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt Mobility examples
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains Qt Mobility examples.
+
+#Package: qtmobility-l10n
+#Architecture: all
+#Section: localization
+#Depends: ${misc:Depends}
+#Description: APIs for mobile device functionality - localization files
+# Qt Mobility delivers a set of new APIs for mobile device functionality.
+# .
+# This package contains Qt Mobility translations.
+
+Package: qtmobility-dbg
+Priority: extra
+Architecture: any
+Section: debug
+Depends: libqtconnectivity1 (= ${binary:Version}),
+         libqtcontacts1 (= ${binary:Version}),
