=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DH_VERBOSE=1
 
 # QMF environment variables should be set
 export QMF_INCLUDEDIR := /usr/include/qmfclient
@@ -16,9 +14,9 @@
 	./configure \
 	    -prefix "/usr" \
 	    -headerdir "/usr/include" \
-	    -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	    -libdir "/usr/lib" \
 	    -bindir "/usr/bin" \
-	    -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins" \
+	    -plugindir "/usr/lib/qt4/plugins" \
 	    -demosdir "/usr/lib/qtmobility/demos" \
 	    -examplesdir "/usr/lib/qtmobility/examples" \
 	    -languages "ar cs da de es fr he hu ja pl pt ru sk sl sv zh_CN zh_TW" \
@@ -31,7 +29,7 @@
 	find $(CURDIR)/debian/tmp/usr/lib -type f -name '*.prl' \
 		-exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d;s/\(QMAKE_PRL_LIBS =\).*/\1/" {} \;
 	# Fix executable permissions
-	find $(CURDIR)/debian/tmp/usr/lib/qtmobility -type f -perm /u+x,g+x,o+x \( -false \
+	find $(CURDIR)/debian/tmp/usr/lib/ -type f -perm /u+x,g+x,o+x \( -false \
 		-o -name \*.png \
 		-o -name \*.qml \
 		-o -name \*.sci \
